%define svn		0
%define rel		5
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define	dirname		%name
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif

Name:		synce-hal
Summary:	HAL-based connection framework for Windows Mobile
Version:	0.13.1
Release:	%{release}
License:	MIT
Source0:	%{distname}
Source1:	org.freedesktop.Hal.Device.Synce.conf
Patch0:		synce-hal-1.13.1-dbus.patch
Patch1:		synce-hal-1.13.1-fix-connection.patch
URL:		http://synce.sourceforge.net/
Group:		Communications
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsynce-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libgnet2-devel
BuildRequires:	hal-devel
BuildRequires:	bluez-devel
Requires:	ppp
Obsoletes:	synce-serial < 0.11.1
Obsoletes:	odccm < 0.11.2
Obsoletes:	synce-vdccm < 0.11
Obsoletes:	synce < 0.11.1
Provides:	synce = %{version}-%{release}

%description
Synce-hal is a connection framework and dccm-implementation for
Windows Mobile devices that integrates with HAL.

%prep
%setup -q -n %{dirname}
%patch0 -p2
%patch1 -p2
cp %{SOURCE1} etc

%build
%if %svn
./autogen.sh
%endif

#fix ppp files location
sed -i s/"ip-up.d"/""/"" bluetooth/Makefile.am
sed -i s/"ip-down.d"/""/"" bluetooth/Makefile.am

#needed by patch0
aclocal -I m4
autoheader
libtoolize --copy --automake
automake --copy --foreign --add-missing
autoconf



%configure2_5x --enable-bluetooth-support --with-hal-addon-dir=%{_libexecdir}/hal/scripts
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%{_sysconfdir}/ppp/synce-bt-ipdown
%{_sysconfdir}/ppp/synce-bt-ipup
%{_sysconfdir}/ppp/peers/synce-bt-peer
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_libexecdir}/hal/scripts/hal-synce*
%{_libexecdir}/synce-serial-chat
%{_libexecdir}/hal-dccm
%{_datadir}/hal/fdi/policy/20thirdparty/*
%{_datadir}/%{name}



%changelog
* Thu Mar 19 2009 Adam Williamson <awilliamson@mandriva.org> 0.13.1-5mdv2009.1
+ Revision: 358008
- better fix for hal script location (using configure option)

* Tue Mar 17 2009 Emmanuel Andry <eandry@mandriva.org> 0.13.1-4mdv2009.1
+ Revision: 356402
- move HAL scripts in the right location (#47609)

* Mon Mar 16 2009 Emmanuel Andry <eandry@mandriva.org> 0.13.1-3mdv2009.1
+ Revision: 355854
- fix bluetooth ppp files location
- add dbus configuration file from svn

* Mon Mar 16 2009 Emmanuel Andry <eandry@mandriva.org> 0.13.1-2mdv2009.1
+ Revision: 355753
- enable bluetooth support

* Mon Mar 16 2009 Emmanuel Andry <eandry@mandriva.org> 0.13.1-1mdv2009.1
+ Revision: 355749
- New version 1.13.1

* Wed Jan 14 2009 Adam Williamson <awilliamson@mandriva.org> 0.13-1mdv2009.1
+ Revision: 329266
- apparently it works with makeinstall_std now, not makeinstall
- add new file to list
- new release 0.13

* Thu Jul 17 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.1-0.3519.1mdv2009.0
+ Revision: 236648
- new snapshot 3519 (not using stable release as it's badly versioned, I am
  asking upstream to re-version it)

* Mon Jun 16 2008 Götz Waschk <waschk@mandriva.org> 0.11.1-0.3471.4mdv2009.0
+ Revision: 219388
- fix file list, *never* use %%_libdir/* or the debug stuff is included

* Fri Jun 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.1-0.3471.3mdv2009.0
+ Revision: 216380
- requires ppp (without it, connections to wm2003 devices fail)

* Tue Jun 03 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.1-0.3471.2mdv2009.0
+ Revision: 214464
- obsolete / provide synce, something needs to...
- obsoletes odccm and vdccm
- import synce-hal


